package com.ruoyi.ems.service.impl;

import com.huashe.common.utils.DateUtils;
import com.ruoyi.ems.domain.OpEnergyStrategyTemplate;
import com.ruoyi.ems.mapper.OpEnergyStrategyTemplateMapper;
import com.ruoyi.ems.service.IOpEnergyStrategyTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 策略模板Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-12-01
 */
@Service
public class OpEnergyStrategyTemplateServiceImpl implements IOpEnergyStrategyTemplateService 
{
    @Autowired
    private OpEnergyStrategyTemplateMapper opTemplateMapper;

    /**
     * 查询策略模板
     * 
     * @param id 策略模板主键
     * @return 策略模板
     */
    @Override
    public OpEnergyStrategyTemplate selectTemplateById(Long id)
    {
        return opTemplateMapper.selectTemplateById(id);
    }

    /**
     * 查询策略模板列表
     * 
     * @param template 策略模板
     * @return 策略模板
     */
    @Override
    public List<OpEnergyStrategyTemplate> selectTemplateList(OpEnergyStrategyTemplate template)
    {
        return opTemplateMapper.selectTemplateList(template);
    }

    /**
     * 新增策略模板
     * 
     * @param template 策略模板
     * @return 结果
     */
    @Override
    public int insertTemplate(OpEnergyStrategyTemplate template)
    {
        template.setCreateTime(DateUtils.getNowDate());
        return opTemplateMapper.insertTemplate(template);
    }

    /**
     * 修改策略模板
     * 
     * @param template 策略模板
     * @return 结果
     */
    @Override
    public int updateTemplate(OpEnergyStrategyTemplate template)
    {
        template.setUpdateTime(DateUtils.getNowDate());
        return opTemplateMapper.updateTemplate(template);
    }

    /**
     * 批量删除策略模板
     * 
     * @param ids 需要删除的策略模板主键
     * @return 结果
     */
    @Override
    public int deleteTemplateByIds(Long[] ids)
    {
        return opTemplateMapper.deleteTemplateByIds(ids);
    }

    /**
     * 删除策略模板信息
     * 
     * @param id 策略模板主键
     * @return 结果
     */
    @Override
    public int deleteTemplateById(Long id)
    {
        return opTemplateMapper.deleteTemplateById(id);
    }
}
